QGIS Application - Bug report #19589

Not possible to save style to non-spatial layers in PostGIS

2018-08-10 01:42 PM - Saber Razmjooei

Status: Closed
Priority: Normal
Assignee:

Category: Symbology

Affected QGIS version:3.3(master)
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 27416

Description

Not sure if it is a bug or feature request:

| have a non-spatial table in PostGIS, with a nice Form layout for users to fill in. You can export the style as QML and re-use it by loading

the QML file. But if the style is saved as Default within the database, it is always loaded with no style.

Associated revisions

Revision bb0c6293 - 2018-10-01 08:48 AM - Martin Dobias

Fix loading style for non-spatial tables in Postgres+SpatiaLite (fixes #19589)

OGR is not affected by the bug.

Oracle and MS SQL are most likely affected, but | don't have them here to test.

Revision 942a560b - 2018-10-11 09:03 AM - Martin Dobias

Fix loading style for non-spatial tables in Postgres+SpatiaLite (fixes #19589)

OGR is not affected by the bug.

Oracle and MS SQL are most likely affected, but | don't have them here to test.

(cherry picked from commit bb0c62935562ebe28a0d862e4bdf985865bde595)

History

#1 - 2018-10-01 08:47 AM - Martin Dobias
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|bb0c62935562ebe28a0d862e4bdf985865bde595.
